You can update the details of a single section by making a PUT request to https://api.intercom.io/sections/<id>.
Intercom API version.
By default, it's equal to the version set in the app package.
The name of the collection. For multilingual collections, this will be the name of the default language's content.
The Translated Content of an Group. The keys are the locale codes and the values are the translated content of the Group.
- The production API serverhttps://api.intercom.io/help_center/sections/{id}
- The european API serverhttps://api.eu.intercom.io/help_center/sections/{id}
- The australian API serverhttps://api.au.intercom.io/help_center/sections/{id}
- successful
- Section Not Found
curl -i -X PUT \
https://api.intercom.io/help_center/sections/123 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.9' \
-d '{
"name": "Update section name",
"parent_id": 205
}'successful
The name of the section. For multilingual sections, this will be the name of the default language's content.
The time when the section was created. For multilingual sections, this will be the timestamp of creation of the default language's content.
The time when the section was last updated. For multilingual sections, this will be the timestamp of last update of the default language's content.
The URL of the section. For multilingual help centers, this will be the URL of the section for the default language.
The order of the section in relation to others sections within a collection. Values go from 0 upwards. 0 is the default if there's no order.
The id of the parent section.
The default locale of the help center. This field is only returned for multilingual help centers.
The Translated Content of an Group. The keys are the locale codes and the values are the translated content of the Group.
- Integer
- String
{ "id": "206", "workspace_id": "this_is_an_id115_that_should_be_at_least_", "name": "Update section name", "url": "http://help-center.test/myapp-115/section-22", "order": 22, "created_at": 1717021366, "updated_at": 1717021367, "type": "section", "parent_id": "205" }